Performs a logical disjunction on two variants

- « variant_not

- variant_pow »

- PHP Manual
- COM Functions
- Performs a logical disjunction on two variants

# variant_or

(PHP 5, PHP 7, PHP 8)

variant_or — Performs a logical disjunction on two variants

### Description

variant_or(mixed `$left`, mixed `$right`): variant

Performs a bitwise OR operation. Note that this is slightly different from a regular OR operation.

### Parameters

`left`

  The left operand.

`right`

  The right operand.

> Note:

> As with all the variant arithmetic functions, the parameters for this function can be either a PHP native type (integer, string, floating point, boolean or `null`), or an instance of a COM, VARIANT or DOTNET class. PHP native types will be converted to variants using the same rules as found in the constructor for the variant class. COM and DOTNET objects will have the value of their default property taken and used as the variant value.

> The variant arithmetic functions are wrappers around the similarly named functions in the COM library; for more information on these functions, consult the MSDN library. The PHP functions are named slightly differently; for example variant_add() in PHP corresponds to `VarAdd()` in the MSDN documentation.

### Return Values

Variant OR Rules
If `left` is | If `right` is | then the result is
--- | --- | ---
`true` | `true` | `true`
`true` | `false` | `true`
`true` | `null` | `true`
`false` | `true` | `true`
`false` | `false` | `false`
`false` | `null` | `null`
`null` | `true` | `true`
`null` | `false` | `null`
`null` | `null` | `null`

### Errors/Exceptions

Throws a com_exception on failure.

### See Also

- variant_and() - Performs a bitwise AND operation between two variants
- variant_xor() - Performs a logical exclusion on two variants